<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Form Demo</title>
</head>
<body>
    <h1>Please fill the form</h1>
    <form action="https://frogaccelerator.com/submit-app/" method="POST" enctype="multipart/form-data">
        Eesnimi: <br>
        <input type="text" name="firstName" required minlength="2" maxlength="25"><br>
        Perenimi: <br>
        <input type="text" name="lastName"><br>
        Sugu: <br>
        <select name="gender">
            <option value=""></option>
            <option value="M">Mees</option>
            <option value="F">Naine</option>
        </select> <br>
        Sünniaeg: <br>
        <input type="date" name="dateOfBirth"> <br>
        Perekonnaseis: <br>
        <input type="radio" name="maritalStatus" value="single" id="maritalStatusSingle"> <label for="maritalStatusSingle">Single</label><br>
        <input type="radio" name="maritalStatus" value="married" id="maritalStatusMarried"> <label for="maritalStatusMarried">Married</label><br>
        <input type="radio" name="maritalStatus" value="committed" id="maritalStatusCommitted"> <label for="maritalStatusCommitted">Committed</label><br>
        E-post: <br>
        <input type="email" name="email"><br>
        Parool: <br>
        <input type="password" name="password"> <br>
        Hobid: <br>
        <input type="checkbox" name="hobbies[]" value="Jooksmine" id="running"><label for="running">Jooksmine</label><br>
        <input type="checkbox" name="hobbies[]" value="Ujumine" id="swimming"><label for="swimming">Ujumine</label><br>
        <input type="checkbox" name="hobbies[]" value="Matkamine" id="hiking"><label for="hiking">Matkamine</label><br>
        Külastatud riikide arv: <br>
        <input type="number" name="numberOfVisitedCountries" min="1" max="200" required pattern="^\d\d\d$"><br>
        Foto: <br>
        <!-- <input type="file" name="photo"> -->
        <br><br>
        <input type="submit" value="Saada">
    </form>
</body>
</html>